package cn.com.ctop.manage.modules.actor.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.sql.Time;
import java.util.Date;

@Data
@TableName("ctop_yard_scheduler")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class YardScheduler {
    @TableId(type = IdType.AUTO)
    private Long id;
    private Long yardId;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date date;
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private Time beginTime;
    @JsonFormat(timezone = "GMT+8", pattern = "HH:mm:ss")
    private Time endTime;
    private Long userId;
    private String createBy;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
