package cn.com.ctop.bytedance.controller;

import cn.com.ctop.bytedance.service.IBytedanceReportService;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/ctop/report")
public class BytedanceReportController {
    @Autowired
    private IBytedanceReportService bytedanceReportService;

    /**
     * 昨日总花费
     *
     * @return
     */
    @RequestMapping(value = "/accountReport")
    public JSONObject getAccountReport() {
        /*LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        if (Check.isNull(user)) {
            JSONObject json = bytedanceReportService.getCost(user.getId());
        }*/

        JSONObject json = bytedanceReportService.getAccountReport("e9ca23d68d884d4ebb19d07889727dae");
        return json;

    }


    @PostMapping("/kuaiShou/accountReport")
    public JSONObject getKuaiShouAccountReport(@RequestBody JSONObject requestJson) {
        JSONObject json = bytedanceReportService.getKuaiShouAccountReport(requestJson);
        return json;

    }


    @PostMapping("/kuaiShou/accountDetailReport")
    public List<JSONObject> getKuaiShouAccountDetailReport(@RequestBody JSONObject requestJson) {
        List<JSONObject> kuaiShouAccounDetailtReport = bytedanceReportService.getKuaiShouAccounDetailtReport(requestJson);
        return kuaiShouAccounDetailtReport;

    }


    @PostMapping("/kuaiShou/getReportList")
    public List<JSONObject> getReportList(@RequestBody JSONObject requestJson) {
        List<JSONObject> kuaiShouAccounDetailtReport = bytedanceReportService.getReportList(requestJson);
        return kuaiShouAccounDetailtReport;

    }


}
