package cn.com.ctop.common.module.utils;

import java.util.Map;

public class ResultMapUtils {
    private static final String MAP_CODE = "code";
    private static final String MAP_MESSAGE = "message";
    private static final String MAP_SUCCESS = "success";

    public static void setResultMap(Map<String, Object> map, Integer statusCode) {
        map.put(MAP_CODE, statusCode);
        map.put(MAP_MESSAGE, StatusCode.getDesc(statusCode));
        map.put(MAP_SUCCESS, StatusCode.getFlag(statusCode));
    }
}
