package cn.com.ctop.manage.modules.actor.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@Data
@TableName("ctop_yard")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Yard {
    @TableId(type = IdType.AUTO)
    private Long id;
    private String address;
    private String coverUrl;
    private String buildingName;
    private String contactName;
    private String contactMobile;
    private String remark;
    private Double lon;
    private Double lat;
    private Integer status;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @TableField(exist = false)
    private List<String> imageUrl;
    @TableField(exist = false)
    private List<String> videoUrl;
}
